Subject: Re: [AVT] Overcome packet loss using duplicate packets

From: Gunnar Hellstrom <[email-masked]>
Date: Thu, 16 Dec 2010 16:40:22 +0100

Yes, there is a good way in RFC 2198.
We use it for good reliability in RTP based real-time text in RFC 4103.
You get an enormous increase in reliability with very little extra overhead.

/Gunnar

On Thu, 16 Dec 2010 16:48:56 +0200, Michael Hakimi <[email-masked]> wrote:

Hi,

I would like to send my media in a more reliable way.
In order to do so I am sending each packet n times.

For example, in case n=2:
Send packet no.1
Send packet no.2 + no.1
Send packet no.3 + no.2
...

In this way I can do a perfect PLC for a single packet that was lost.
Is there a standard way to do so?
Is the standard defines a way to overcome packet loss by sending
duplicate packets?

Thx in advance,
Mickey
_______________________________________________
Audio/Video Transport Working
[email-masked]://www.ietf.org/mailman/listinfo/avt

 <https://webmail.binero.se/?_task=mail&_action=show&_uid=1495&_mbox=Sent#><https://webmail.binero.se/?_task=mail&_action=show&_uid=1495&_mbox=Sent#>Meddelande
2 av 1489
<https://webmail.binero.se/?_task=mail&_action=show&_uid=1495&_mbox=Sent#><https://webmail.binero.se/?_task=mail&_action=show&_uid=1495&_mbox=Sent#>